package com.hotent.portal.persistence.manager;

import com.hotent.base.jms.Notice;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.model.CommonResult;
import com.hotent.portal.model.PortalMsgSendLog;

/**
 *  服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author cola
 * @since 2021-08-31
 */
public interface PortalMsgSendLogManager extends BaseManager<PortalMsgSendLog> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	PortalMsgSendLog getDetail(String id);
	/**
	 * 新建、更新
	 * @param portalMsgSendLog
	 * @return
	 */
	void createOrUpdate(PortalMsgSendLog portalMsgSendLog);

    CommonResult sendMsgToExternalQueue(Notice notice, String sysCode);

	CommonResult retrySendMsgById(String id);
}
